Loading...
Searching...
No Matches
gtsam::EliminationData< CLUSTERTREE > Struct Template Reference

## Public Member Functions

| EliminationData (EliminationData *_parentData, size_t nChildren)

## Static Public Member Functions

static EliminationData | EliminationPreOrderVisitor (const typename CLUSTERTREE::sharedNode &node, EliminationData &parentData)

## Public Attributes

EliminationData *const | parentData
size_t | myIndexInParent
FastVector< sharedFactor > | childFactors
boost::shared_ptr< BTNode > | bayesTreeNode

## Public Types

typedef CLUSTERTREE::sharedFactor | sharedFactor
typedef CLUSTERTREE::FactorType | FactorType
typedef CLUSTERTREE::FactorGraphType | FactorGraphType
typedef CLUSTERTREE::ConditionalType | ConditionalType
typedef CLUSTERTREE::BayesTreeType::Node | BTNode

## Classes

class | EliminationPostOrderVisitor

The documentation for this struct was generated from the following file:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/inference/ClusterTree-inst.h